IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network1.188.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
1.188.0.0- Broadcast address
1.189.255.255- First usable
1.188.0.1- Last usable
1.189.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
01BC0000· Integer29097984to29229055 - Reverse DNS zones
188.1.in-addr.arpa189.1.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000001.10111100.00000000.00000000 | 1.188.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00000001.10111100.00000000.00000000 | 1.188.0.0 |
| Broadcast | 00000001.10111101.11111111.11111111 | 1.189.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
1.188.0.0/15 makes 512 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 1.188.0.0/24 | 1.188.0.1 to 1.188.0.254 | 1.188.0.255 | 254 |
| 2 | 1.188.1.0/24 | 1.188.1.1 to 1.188.1.254 | 1.188.1.255 | 254 |
| 3 | 1.188.2.0/24 | 1.188.2.1 to 1.188.2.254 | 1.188.2.255 | 254 |
| 4 | 1.188.3.0/24 | 1.188.3.1 to 1.188.3.254 | 1.188.3.255 | 254 |
| 5 | 1.188.4.0/24 | 1.188.4.1 to 1.188.4.254 | 1.188.4.255 | 254 |
| 6 | 1.188.5.0/24 | 1.188.5.1 to 1.188.5.254 | 1.188.5.255 | 254 |
| 7 | 1.188.6.0/24 | 1.188.6.1 to 1.188.6.254 | 1.188.6.255 | 254 |
| 8 | 1.188.7.0/24 | 1.188.7.1 to 1.188.7.254 | 1.188.7.255 | 254 |
| 9 | 1.188.8.0/24 | 1.188.8.1 to 1.188.8.254 | 1.188.8.255 | 254 |
| 10 | 1.188.9.0/24 | 1.188.9.1 to 1.188.9.254 | 1.188.9.255 | 254 |
| 11 | 1.188.10.0/24 | 1.188.10.1 to 1.188.10.254 | 1.188.10.255 | 254 |
| 12 | 1.188.11.0/24 | 1.188.11.1 to 1.188.11.254 | 1.188.11.255 | 254 |
| 13 | 1.188.12.0/24 | 1.188.12.1 to 1.188.12.254 | 1.188.12.255 | 254 |
| 14 | 1.188.13.0/24 | 1.188.13.1 to 1.188.13.254 | 1.188.13.255 | 254 |
| 15 | 1.188.14.0/24 | 1.188.14.1 to 1.188.14.254 | 1.188.14.255 | 254 |
| 16 | 1.188.15.0/24 | 1.188.15.1 to 1.188.15.254 | 1.188.15.255 | 254 |
| 17 | 1.188.16.0/24 | 1.188.16.1 to 1.188.16.254 | 1.188.16.255 | 254 |
| 18 | 1.188.17.0/24 | 1.188.17.1 to 1.188.17.254 | 1.188.17.255 | 254 |
| 19 | 1.188.18.0/24 | 1.188.18.1 to 1.188.18.254 | 1.188.18.255 | 254 |
| 20 | 1.188.19.0/24 | 1.188.19.1 to 1.188.19.254 | 1.188.19.255 | 254 |
| 21 | 1.188.20.0/24 | 1.188.20.1 to 1.188.20.254 | 1.188.20.255 | 254 |
| 22 | 1.188.21.0/24 | 1.188.21.1 to 1.188.21.254 | 1.188.21.255 | 254 |
| 23 | 1.188.22.0/24 | 1.188.22.1 to 1.188.22.254 | 1.188.22.255 | 254 |
| 24 | 1.188.23.0/24 | 1.188.23.1 to 1.188.23.254 | 1.188.23.255 | 254 |
| 25 | 1.188.24.0/24 | 1.188.24.1 to 1.188.24.254 | 1.188.24.255 | 254 |
| 26 | 1.188.25.0/24 | 1.188.25.1 to 1.188.25.254 | 1.188.25.255 | 254 |
| 27 | 1.188.26.0/24 | 1.188.26.1 to 1.188.26.254 | 1.188.26.255 | 254 |
| 28 | 1.188.27.0/24 | 1.188.27.1 to 1.188.27.254 | 1.188.27.255 | 254 |
| 29 | 1.188.28.0/24 | 1.188.28.1 to 1.188.28.254 | 1.188.28.255 | 254 |
| 30 | 1.188.29.0/24 | 1.188.29.1 to 1.188.29.254 | 1.188.29.255 | 254 |
| 31 | 1.188.30.0/24 | 1.188.30.1 to 1.188.30.254 | 1.188.30.255 | 254 |
| 32 | 1.188.31.0/24 | 1.188.31.1 to 1.188.31.254 | 1.188.31.255 | 254 |
| 33 | 1.188.32.0/24 | 1.188.32.1 to 1.188.32.254 | 1.188.32.255 | 254 |
| 34 | 1.188.33.0/24 | 1.188.33.1 to 1.188.33.254 | 1.188.33.255 | 254 |
| 35 | 1.188.34.0/24 | 1.188.34.1 to 1.188.34.254 | 1.188.34.255 | 254 |
| 36 | 1.188.35.0/24 | 1.188.35.1 to 1.188.35.254 | 1.188.35.255 | 254 |
| 37 | 1.188.36.0/24 | 1.188.36.1 to 1.188.36.254 | 1.188.36.255 | 254 |
| 38 | 1.188.37.0/24 | 1.188.37.1 to 1.188.37.254 | 1.188.37.255 | 254 |
| 39 | 1.188.38.0/24 | 1.188.38.1 to 1.188.38.254 | 1.188.38.255 | 254 |
| 40 | 1.188.39.0/24 | 1.188.39.1 to 1.188.39.254 | 1.188.39.255 | 254 |
| 41 | 1.188.40.0/24 | 1.188.40.1 to 1.188.40.254 | 1.188.40.255 | 254 |
| 42 | 1.188.41.0/24 | 1.188.41.1 to 1.188.41.254 | 1.188.41.255 | 254 |
| 43 | 1.188.42.0/24 | 1.188.42.1 to 1.188.42.254 | 1.188.42.255 | 254 |
| 44 | 1.188.43.0/24 | 1.188.43.1 to 1.188.43.254 | 1.188.43.255 | 254 |
| 45 | 1.188.44.0/24 | 1.188.44.1 to 1.188.44.254 | 1.188.44.255 | 254 |
| 46 | 1.188.45.0/24 | 1.188.45.1 to 1.188.45.254 | 1.188.45.255 | 254 |
| 47 | 1.188.46.0/24 | 1.188.46.1 to 1.188.46.254 | 1.188.46.255 | 254 |
| 48 | 1.188.47.0/24 | 1.188.47.1 to 1.188.47.254 | 1.188.47.255 | 254 |
| 49 | 1.188.48.0/24 | 1.188.48.1 to 1.188.48.254 | 1.188.48.255 | 254 |
| 50 | 1.188.49.0/24 | 1.188.49.1 to 1.188.49.254 | 1.188.49.255 | 254 |
| 51 | 1.188.50.0/24 | 1.188.50.1 to 1.188.50.254 | 1.188.50.255 | 254 |
| 52 | 1.188.51.0/24 | 1.188.51.1 to 1.188.51.254 | 1.188.51.255 | 254 |
| 53 | 1.188.52.0/24 | 1.188.52.1 to 1.188.52.254 | 1.188.52.255 | 254 |
| 54 | 1.188.53.0/24 | 1.188.53.1 to 1.188.53.254 | 1.188.53.255 | 254 |
| 55 | 1.188.54.0/24 | 1.188.54.1 to 1.188.54.254 | 1.188.54.255 | 254 |
| 56 | 1.188.55.0/24 | 1.188.55.1 to 1.188.55.254 | 1.188.55.255 | 254 |
| 57 | 1.188.56.0/24 | 1.188.56.1 to 1.188.56.254 | 1.188.56.255 | 254 |
| 58 | 1.188.57.0/24 | 1.188.57.1 to 1.188.57.254 | 1.188.57.255 | 254 |
| 59 | 1.188.58.0/24 | 1.188.58.1 to 1.188.58.254 | 1.188.58.255 | 254 |
| 60 | 1.188.59.0/24 | 1.188.59.1 to 1.188.59.254 | 1.188.59.255 | 254 |
| 61 | 1.188.60.0/24 | 1.188.60.1 to 1.188.60.254 | 1.188.60.255 | 254 |
| 62 | 1.188.61.0/24 | 1.188.61.1 to 1.188.61.254 | 1.188.61.255 | 254 |
| 63 | 1.188.62.0/24 | 1.188.62.1 to 1.188.62.254 | 1.188.62.255 | 254 |
| 64 | 1.188.63.0/24 | 1.188.63.1 to 1.188.63.254 | 1.188.63.255 | 254 |
| 65 | 1.188.64.0/24 | 1.188.64.1 to 1.188.64.254 | 1.188.64.255 | 254 |
| 66 | 1.188.65.0/24 | 1.188.65.1 to 1.188.65.254 | 1.188.65.255 | 254 |
| 67 | 1.188.66.0/24 | 1.188.66.1 to 1.188.66.254 | 1.188.66.255 | 254 |
| 68 | 1.188.67.0/24 | 1.188.67.1 to 1.188.67.254 | 1.188.67.255 | 254 |
| 69 | 1.188.68.0/24 | 1.188.68.1 to 1.188.68.254 | 1.188.68.255 | 254 |
| 70 | 1.188.69.0/24 | 1.188.69.1 to 1.188.69.254 | 1.188.69.255 | 254 |
| 71 | 1.188.70.0/24 | 1.188.70.1 to 1.188.70.254 | 1.188.70.255 | 254 |
| 72 | 1.188.71.0/24 | 1.188.71.1 to 1.188.71.254 | 1.188.71.255 | 254 |
| 73 | 1.188.72.0/24 | 1.188.72.1 to 1.188.72.254 | 1.188.72.255 | 254 |
| 74 | 1.188.73.0/24 | 1.188.73.1 to 1.188.73.254 | 1.188.73.255 | 254 |
| 75 | 1.188.74.0/24 | 1.188.74.1 to 1.188.74.254 | 1.188.74.255 | 254 |
| 76 | 1.188.75.0/24 | 1.188.75.1 to 1.188.75.254 | 1.188.75.255 | 254 |
| 77 | 1.188.76.0/24 | 1.188.76.1 to 1.188.76.254 | 1.188.76.255 | 254 |
| 78 | 1.188.77.0/24 | 1.188.77.1 to 1.188.77.254 | 1.188.77.255 | 254 |
| 79 | 1.188.78.0/24 | 1.188.78.1 to 1.188.78.254 | 1.188.78.255 | 254 |
| 80 | 1.188.79.0/24 | 1.188.79.1 to 1.188.79.254 | 1.188.79.255 | 254 |
| 81 | 1.188.80.0/24 | 1.188.80.1 to 1.188.80.254 | 1.188.80.255 | 254 |
| 82 | 1.188.81.0/24 | 1.188.81.1 to 1.188.81.254 | 1.188.81.255 | 254 |
| 83 | 1.188.82.0/24 | 1.188.82.1 to 1.188.82.254 | 1.188.82.255 | 254 |
| 84 | 1.188.83.0/24 | 1.188.83.1 to 1.188.83.254 | 1.188.83.255 | 254 |
| 85 | 1.188.84.0/24 | 1.188.84.1 to 1.188.84.254 | 1.188.84.255 | 254 |
| 86 | 1.188.85.0/24 | 1.188.85.1 to 1.188.85.254 | 1.188.85.255 | 254 |
| 87 | 1.188.86.0/24 | 1.188.86.1 to 1.188.86.254 | 1.188.86.255 | 254 |
| 88 | 1.188.87.0/24 | 1.188.87.1 to 1.188.87.254 | 1.188.87.255 | 254 |
| 89 | 1.188.88.0/24 | 1.188.88.1 to 1.188.88.254 | 1.188.88.255 | 254 |
| 90 | 1.188.89.0/24 | 1.188.89.1 to 1.188.89.254 | 1.188.89.255 | 254 |
| 91 | 1.188.90.0/24 | 1.188.90.1 to 1.188.90.254 | 1.188.90.255 | 254 |
| 92 | 1.188.91.0/24 | 1.188.91.1 to 1.188.91.254 | 1.188.91.255 | 254 |
| 93 | 1.188.92.0/24 | 1.188.92.1 to 1.188.92.254 | 1.188.92.255 | 254 |
| 94 | 1.188.93.0/24 | 1.188.93.1 to 1.188.93.254 | 1.188.93.255 | 254 |
| 95 | 1.188.94.0/24 | 1.188.94.1 to 1.188.94.254 | 1.188.94.255 | 254 |
| 96 | 1.188.95.0/24 | 1.188.95.1 to 1.188.95.254 | 1.188.95.255 | 254 |
| 97 | 1.188.96.0/24 | 1.188.96.1 to 1.188.96.254 | 1.188.96.255 | 254 |
| 98 | 1.188.97.0/24 | 1.188.97.1 to 1.188.97.254 | 1.188.97.255 | 254 |
| 99 | 1.188.98.0/24 | 1.188.98.1 to 1.188.98.254 | 1.188.98.255 | 254 |
| 100 | 1.188.99.0/24 | 1.188.99.1 to 1.188.99.254 | 1.188.99.255 | 254 |
| 101 | 1.188.100.0/24 | 1.188.100.1 to 1.188.100.254 | 1.188.100.255 | 254 |
| 102 | 1.188.101.0/24 | 1.188.101.1 to 1.188.101.254 | 1.188.101.255 | 254 |
| 103 | 1.188.102.0/24 | 1.188.102.1 to 1.188.102.254 | 1.188.102.255 | 254 |
| 104 | 1.188.103.0/24 | 1.188.103.1 to 1.188.103.254 | 1.188.103.255 | 254 |
| 105 | 1.188.104.0/24 | 1.188.104.1 to 1.188.104.254 | 1.188.104.255 | 254 |
| 106 | 1.188.105.0/24 | 1.188.105.1 to 1.188.105.254 | 1.188.105.255 | 254 |
| 107 | 1.188.106.0/24 | 1.188.106.1 to 1.188.106.254 | 1.188.106.255 | 254 |
| 108 | 1.188.107.0/24 | 1.188.107.1 to 1.188.107.254 | 1.188.107.255 | 254 |
| 109 | 1.188.108.0/24 | 1.188.108.1 to 1.188.108.254 | 1.188.108.255 | 254 |
| 110 | 1.188.109.0/24 | 1.188.109.1 to 1.188.109.254 | 1.188.109.255 | 254 |
| 111 | 1.188.110.0/24 | 1.188.110.1 to 1.188.110.254 | 1.188.110.255 | 254 |
| 112 | 1.188.111.0/24 | 1.188.111.1 to 1.188.111.254 | 1.188.111.255 | 254 |
| 113 | 1.188.112.0/24 | 1.188.112.1 to 1.188.112.254 | 1.188.112.255 | 254 |
| 114 | 1.188.113.0/24 | 1.188.113.1 to 1.188.113.254 | 1.188.113.255 | 254 |
| 115 | 1.188.114.0/24 | 1.188.114.1 to 1.188.114.254 | 1.188.114.255 | 254 |
| 116 | 1.188.115.0/24 | 1.188.115.1 to 1.188.115.254 | 1.188.115.255 | 254 |
| 117 | 1.188.116.0/24 | 1.188.116.1 to 1.188.116.254 | 1.188.116.255 | 254 |
| 118 | 1.188.117.0/24 | 1.188.117.1 to 1.188.117.254 | 1.188.117.255 | 254 |
| 119 | 1.188.118.0/24 | 1.188.118.1 to 1.188.118.254 | 1.188.118.255 | 254 |
| 120 | 1.188.119.0/24 | 1.188.119.1 to 1.188.119.254 | 1.188.119.255 | 254 |
| 121 | 1.188.120.0/24 | 1.188.120.1 to 1.188.120.254 | 1.188.120.255 | 254 |
| 122 | 1.188.121.0/24 | 1.188.121.1 to 1.188.121.254 | 1.188.121.255 | 254 |
| 123 | 1.188.122.0/24 | 1.188.122.1 to 1.188.122.254 | 1.188.122.255 | 254 |
| 124 | 1.188.123.0/24 | 1.188.123.1 to 1.188.123.254 | 1.188.123.255 | 254 |
| 125 | 1.188.124.0/24 | 1.188.124.1 to 1.188.124.254 | 1.188.124.255 | 254 |
| 126 | 1.188.125.0/24 | 1.188.125.1 to 1.188.125.254 | 1.188.125.255 | 254 |
| 127 | 1.188.126.0/24 | 1.188.126.1 to 1.188.126.254 | 1.188.126.255 | 254 |
| 128 | 1.188.127.0/24 | 1.188.127.1 to 1.188.127.254 | 1.188.127.255 | 254 |
| 129 | 1.188.128.0/24 | 1.188.128.1 to 1.188.128.254 | 1.188.128.255 | 254 |
| 130 | 1.188.129.0/24 | 1.188.129.1 to 1.188.129.254 | 1.188.129.255 | 254 |
| 131 | 1.188.130.0/24 | 1.188.130.1 to 1.188.130.254 | 1.188.130.255 | 254 |
| 132 | 1.188.131.0/24 | 1.188.131.1 to 1.188.131.254 | 1.188.131.255 | 254 |
| 133 | 1.188.132.0/24 | 1.188.132.1 to 1.188.132.254 | 1.188.132.255 | 254 |
| 134 | 1.188.133.0/24 | 1.188.133.1 to 1.188.133.254 | 1.188.133.255 | 254 |
| 135 | 1.188.134.0/24 | 1.188.134.1 to 1.188.134.254 | 1.188.134.255 | 254 |
| 136 | 1.188.135.0/24 | 1.188.135.1 to 1.188.135.254 | 1.188.135.255 | 254 |
| 137 | 1.188.136.0/24 | 1.188.136.1 to 1.188.136.254 | 1.188.136.255 | 254 |
| 138 | 1.188.137.0/24 | 1.188.137.1 to 1.188.137.254 | 1.188.137.255 | 254 |
| 139 | 1.188.138.0/24 | 1.188.138.1 to 1.188.138.254 | 1.188.138.255 | 254 |
| 140 | 1.188.139.0/24 | 1.188.139.1 to 1.188.139.254 | 1.188.139.255 | 254 |
| 141 | 1.188.140.0/24 | 1.188.140.1 to 1.188.140.254 | 1.188.140.255 | 254 |
| 142 | 1.188.141.0/24 | 1.188.141.1 to 1.188.141.254 | 1.188.141.255 | 254 |
| 143 | 1.188.142.0/24 | 1.188.142.1 to 1.188.142.254 | 1.188.142.255 | 254 |
| 144 | 1.188.143.0/24 | 1.188.143.1 to 1.188.143.254 | 1.188.143.255 | 254 |
| 145 | 1.188.144.0/24 | 1.188.144.1 to 1.188.144.254 | 1.188.144.255 | 254 |
| 146 | 1.188.145.0/24 | 1.188.145.1 to 1.188.145.254 | 1.188.145.255 | 254 |
| 147 | 1.188.146.0/24 | 1.188.146.1 to 1.188.146.254 | 1.188.146.255 | 254 |
| 148 | 1.188.147.0/24 | 1.188.147.1 to 1.188.147.254 | 1.188.147.255 | 254 |
| 149 | 1.188.148.0/24 | 1.188.148.1 to 1.188.148.254 | 1.188.148.255 | 254 |
| 150 | 1.188.149.0/24 | 1.188.149.1 to 1.188.149.254 | 1.188.149.255 | 254 |
| 151 | 1.188.150.0/24 | 1.188.150.1 to 1.188.150.254 | 1.188.150.255 | 254 |
| 152 | 1.188.151.0/24 | 1.188.151.1 to 1.188.151.254 | 1.188.151.255 | 254 |
| 153 | 1.188.152.0/24 | 1.188.152.1 to 1.188.152.254 | 1.188.152.255 | 254 |
| 154 | 1.188.153.0/24 | 1.188.153.1 to 1.188.153.254 | 1.188.153.255 | 254 |
| 155 | 1.188.154.0/24 | 1.188.154.1 to 1.188.154.254 | 1.188.154.255 | 254 |
| 156 | 1.188.155.0/24 | 1.188.155.1 to 1.188.155.254 | 1.188.155.255 | 254 |
| 157 | 1.188.156.0/24 | 1.188.156.1 to 1.188.156.254 | 1.188.156.255 | 254 |
| 158 | 1.188.157.0/24 | 1.188.157.1 to 1.188.157.254 | 1.188.157.255 | 254 |
| 159 | 1.188.158.0/24 | 1.188.158.1 to 1.188.158.254 | 1.188.158.255 | 254 |
| 160 | 1.188.159.0/24 | 1.188.159.1 to 1.188.159.254 | 1.188.159.255 | 254 |
| 161 | 1.188.160.0/24 | 1.188.160.1 to 1.188.160.254 | 1.188.160.255 | 254 |
| 162 | 1.188.161.0/24 | 1.188.161.1 to 1.188.161.254 | 1.188.161.255 | 254 |
| 163 | 1.188.162.0/24 | 1.188.162.1 to 1.188.162.254 | 1.188.162.255 | 254 |
| 164 | 1.188.163.0/24 | 1.188.163.1 to 1.188.163.254 | 1.188.163.255 | 254 |
| 165 | 1.188.164.0/24 | 1.188.164.1 to 1.188.164.254 | 1.188.164.255 | 254 |
| 166 | 1.188.165.0/24 | 1.188.165.1 to 1.188.165.254 | 1.188.165.255 | 254 |
| 167 | 1.188.166.0/24 | 1.188.166.1 to 1.188.166.254 | 1.188.166.255 | 254 |
| 168 | 1.188.167.0/24 | 1.188.167.1 to 1.188.167.254 | 1.188.167.255 | 254 |
| 169 | 1.188.168.0/24 | 1.188.168.1 to 1.188.168.254 | 1.188.168.255 | 254 |
| 170 | 1.188.169.0/24 | 1.188.169.1 to 1.188.169.254 | 1.188.169.255 | 254 |
| 171 | 1.188.170.0/24 | 1.188.170.1 to 1.188.170.254 | 1.188.170.255 | 254 |
| 172 | 1.188.171.0/24 | 1.188.171.1 to 1.188.171.254 | 1.188.171.255 | 254 |
| 173 | 1.188.172.0/24 | 1.188.172.1 to 1.188.172.254 | 1.188.172.255 | 254 |
| 174 | 1.188.173.0/24 | 1.188.173.1 to 1.188.173.254 | 1.188.173.255 | 254 |
| 175 | 1.188.174.0/24 | 1.188.174.1 to 1.188.174.254 | 1.188.174.255 | 254 |
| 176 | 1.188.175.0/24 | 1.188.175.1 to 1.188.175.254 | 1.188.175.255 | 254 |
| 177 | 1.188.176.0/24 | 1.188.176.1 to 1.188.176.254 | 1.188.176.255 | 254 |
| 178 | 1.188.177.0/24 | 1.188.177.1 to 1.188.177.254 | 1.188.177.255 | 254 |
| 179 | 1.188.178.0/24 | 1.188.178.1 to 1.188.178.254 | 1.188.178.255 | 254 |
| 180 | 1.188.179.0/24 | 1.188.179.1 to 1.188.179.254 | 1.188.179.255 | 254 |
| 181 | 1.188.180.0/24 | 1.188.180.1 to 1.188.180.254 | 1.188.180.255 | 254 |
| 182 | 1.188.181.0/24 | 1.188.181.1 to 1.188.181.254 | 1.188.181.255 | 254 |
| 183 | 1.188.182.0/24 | 1.188.182.1 to 1.188.182.254 | 1.188.182.255 | 254 |
| 184 | 1.188.183.0/24 | 1.188.183.1 to 1.188.183.254 | 1.188.183.255 | 254 |
| 185 | 1.188.184.0/24 | 1.188.184.1 to 1.188.184.254 | 1.188.184.255 | 254 |
| 186 | 1.188.185.0/24 | 1.188.185.1 to 1.188.185.254 | 1.188.185.255 | 254 |
| 187 | 1.188.186.0/24 | 1.188.186.1 to 1.188.186.254 | 1.188.186.255 | 254 |
| 188 | 1.188.187.0/24 | 1.188.187.1 to 1.188.187.254 | 1.188.187.255 | 254 |
| 189 | 1.188.188.0/24 | 1.188.188.1 to 1.188.188.254 | 1.188.188.255 | 254 |
| 190 | 1.188.189.0/24 | 1.188.189.1 to 1.188.189.254 | 1.188.189.255 | 254 |
| 191 | 1.188.190.0/24 | 1.188.190.1 to 1.188.190.254 | 1.188.190.255 | 254 |
| 192 | 1.188.191.0/24 | 1.188.191.1 to 1.188.191.254 | 1.188.191.255 | 254 |
| 193 | 1.188.192.0/24 | 1.188.192.1 to 1.188.192.254 | 1.188.192.255 | 254 |
| 194 | 1.188.193.0/24 | 1.188.193.1 to 1.188.193.254 | 1.188.193.255 | 254 |
| 195 | 1.188.194.0/24 | 1.188.194.1 to 1.188.194.254 | 1.188.194.255 | 254 |
| 196 | 1.188.195.0/24 | 1.188.195.1 to 1.188.195.254 | 1.188.195.255 | 254 |
| 197 | 1.188.196.0/24 | 1.188.196.1 to 1.188.196.254 | 1.188.196.255 | 254 |
| 198 | 1.188.197.0/24 | 1.188.197.1 to 1.188.197.254 | 1.188.197.255 | 254 |
| 199 | 1.188.198.0/24 | 1.188.198.1 to 1.188.198.254 | 1.188.198.255 | 254 |
| 200 | 1.188.199.0/24 | 1.188.199.1 to 1.188.199.254 | 1.188.199.255 | 254 |
| 201 | 1.188.200.0/24 | 1.188.200.1 to 1.188.200.254 | 1.188.200.255 | 254 |
| 202 | 1.188.201.0/24 | 1.188.201.1 to 1.188.201.254 | 1.188.201.255 | 254 |
| 203 | 1.188.202.0/24 | 1.188.202.1 to 1.188.202.254 | 1.188.202.255 | 254 |
| 204 | 1.188.203.0/24 | 1.188.203.1 to 1.188.203.254 | 1.188.203.255 | 254 |
| 205 | 1.188.204.0/24 | 1.188.204.1 to 1.188.204.254 | 1.188.204.255 | 254 |
| 206 | 1.188.205.0/24 | 1.188.205.1 to 1.188.205.254 | 1.188.205.255 | 254 |
| 207 | 1.188.206.0/24 | 1.188.206.1 to 1.188.206.254 | 1.188.206.255 | 254 |
| 208 | 1.188.207.0/24 | 1.188.207.1 to 1.188.207.254 | 1.188.207.255 | 254 |
| 209 | 1.188.208.0/24 | 1.188.208.1 to 1.188.208.254 | 1.188.208.255 | 254 |
| 210 | 1.188.209.0/24 | 1.188.209.1 to 1.188.209.254 | 1.188.209.255 | 254 |
| 211 | 1.188.210.0/24 | 1.188.210.1 to 1.188.210.254 | 1.188.210.255 | 254 |
| 212 | 1.188.211.0/24 | 1.188.211.1 to 1.188.211.254 | 1.188.211.255 | 254 |
| 213 | 1.188.212.0/24 | 1.188.212.1 to 1.188.212.254 | 1.188.212.255 | 254 |
| 214 | 1.188.213.0/24 | 1.188.213.1 to 1.188.213.254 | 1.188.213.255 | 254 |
| 215 | 1.188.214.0/24 | 1.188.214.1 to 1.188.214.254 | 1.188.214.255 | 254 |
| 216 | 1.188.215.0/24 | 1.188.215.1 to 1.188.215.254 | 1.188.215.255 | 254 |
| 217 | 1.188.216.0/24 | 1.188.216.1 to 1.188.216.254 | 1.188.216.255 | 254 |
| 218 | 1.188.217.0/24 | 1.188.217.1 to 1.188.217.254 | 1.188.217.255 | 254 |
| 219 | 1.188.218.0/24 | 1.188.218.1 to 1.188.218.254 | 1.188.218.255 | 254 |
| 220 | 1.188.219.0/24 | 1.188.219.1 to 1.188.219.254 | 1.188.219.255 | 254 |
| 221 | 1.188.220.0/24 | 1.188.220.1 to 1.188.220.254 | 1.188.220.255 | 254 |
| 222 | 1.188.221.0/24 | 1.188.221.1 to 1.188.221.254 | 1.188.221.255 | 254 |
| 223 | 1.188.222.0/24 | 1.188.222.1 to 1.188.222.254 | 1.188.222.255 | 254 |
| 224 | 1.188.223.0/24 | 1.188.223.1 to 1.188.223.254 | 1.188.223.255 | 254 |
| 225 | 1.188.224.0/24 | 1.188.224.1 to 1.188.224.254 | 1.188.224.255 | 254 |
| 226 | 1.188.225.0/24 | 1.188.225.1 to 1.188.225.254 | 1.188.225.255 | 254 |
| 227 | 1.188.226.0/24 | 1.188.226.1 to 1.188.226.254 | 1.188.226.255 | 254 |
| 228 | 1.188.227.0/24 | 1.188.227.1 to 1.188.227.254 | 1.188.227.255 | 254 |
| 229 | 1.188.228.0/24 | 1.188.228.1 to 1.188.228.254 | 1.188.228.255 | 254 |
| 230 | 1.188.229.0/24 | 1.188.229.1 to 1.188.229.254 | 1.188.229.255 | 254 |
| 231 | 1.188.230.0/24 | 1.188.230.1 to 1.188.230.254 | 1.188.230.255 | 254 |
| 232 | 1.188.231.0/24 | 1.188.231.1 to 1.188.231.254 | 1.188.231.255 | 254 |
| 233 | 1.188.232.0/24 | 1.188.232.1 to 1.188.232.254 | 1.188.232.255 | 254 |
| 234 | 1.188.233.0/24 | 1.188.233.1 to 1.188.233.254 | 1.188.233.255 | 254 |
| 235 | 1.188.234.0/24 | 1.188.234.1 to 1.188.234.254 | 1.188.234.255 | 254 |
| 236 | 1.188.235.0/24 | 1.188.235.1 to 1.188.235.254 | 1.188.235.255 | 254 |
| 237 | 1.188.236.0/24 | 1.188.236.1 to 1.188.236.254 | 1.188.236.255 | 254 |
| 238 | 1.188.237.0/24 | 1.188.237.1 to 1.188.237.254 | 1.188.237.255 | 254 |
| 239 | 1.188.238.0/24 | 1.188.238.1 to 1.188.238.254 | 1.188.238.255 | 254 |
| 240 | 1.188.239.0/24 | 1.188.239.1 to 1.188.239.254 | 1.188.239.255 | 254 |
| 241 | 1.188.240.0/24 | 1.188.240.1 to 1.188.240.254 | 1.188.240.255 | 254 |
| 242 | 1.188.241.0/24 | 1.188.241.1 to 1.188.241.254 | 1.188.241.255 | 254 |
| 243 | 1.188.242.0/24 | 1.188.242.1 to 1.188.242.254 | 1.188.242.255 | 254 |
| 244 | 1.188.243.0/24 | 1.188.243.1 to 1.188.243.254 | 1.188.243.255 | 254 |
| 245 | 1.188.244.0/24 | 1.188.244.1 to 1.188.244.254 | 1.188.244.255 | 254 |
| 246 | 1.188.245.0/24 | 1.188.245.1 to 1.188.245.254 | 1.188.245.255 | 254 |
| 247 | 1.188.246.0/24 | 1.188.246.1 to 1.188.246.254 | 1.188.246.255 | 254 |
| 248 | 1.188.247.0/24 | 1.188.247.1 to 1.188.247.254 | 1.188.247.255 | 254 |
| 249 | 1.188.248.0/24 | 1.188.248.1 to 1.188.248.254 | 1.188.248.255 | 254 |
| 250 | 1.188.249.0/24 | 1.188.249.1 to 1.188.249.254 | 1.188.249.255 | 254 |
| 251 | 1.188.250.0/24 | 1.188.250.1 to 1.188.250.254 | 1.188.250.255 | 254 |
| 252 | 1.188.251.0/24 | 1.188.251.1 to 1.188.251.254 | 1.188.251.255 | 254 |
| 253 | 1.188.252.0/24 | 1.188.252.1 to 1.188.252.254 | 1.188.252.255 | 254 |
| 254 | 1.188.253.0/24 | 1.188.253.1 to 1.188.253.254 | 1.188.253.255 | 254 |
| 255 | 1.188.254.0/24 | 1.188.254.1 to 1.188.254.254 | 1.188.254.255 | 254 |
| 256 | 1.188.255.0/24 | 1.188.255.1 to 1.188.255.254 | 1.188.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |